"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/themes/light.ts
var light_exports = {};
__export(light_exports, {
  createVitesseLightTheme: () => createVitesseLightTheme,
  defaultSettingsVitesseLight: () => defaultSettingsVitesseLight,
  vitesseLight: () => vitesseLight
});
module.exports = __toCommonJS(light_exports);
var import_highlight = require("@lezer/highlight");
var import_codemirror_themes = require("@uiw/codemirror-themes");
var defaultSettingsVitesseLight = {
  background: "#fff",
  foreground: "#393a34",
  selection: "#22222218",
  selectionMatch: "#22222210",
  gutterBackground: "#f7f7f7",
  gutterForeground: "#393a3450"
};
var createVitesseLightTheme = (options = {}) => {
  const { theme = "light", settings = {}, styles = [] } = options;
  return (0, import_codemirror_themes.createTheme)({
    theme,
    settings: { ...defaultSettingsVitesseLight, ...settings },
    styles: [
      { tag: [import_highlight.tags.standard(import_highlight.tags.tagName), import_highlight.tags.tagName], color: "#1e754f" },
      { tag: [import_highlight.tags.comment], color: "#a0ada0" },
      { tag: [import_highlight.tags.bracket], color: "#999999" },
      { tag: [import_highlight.tags.className, import_highlight.tags.propertyName], color: "#2e8f82" },
      { tag: [import_highlight.tags.variableName], color: "#59873a" },
      { tag: [import_highlight.tags.attributeName, import_highlight.tags.number], color: "#b07d48" },
      { tag: [import_highlight.tags.typeName], color: "#2e8f82" },
      { tag: [import_highlight.tags.keyword], color: "#ab5959" },
      { tag: [import_highlight.tags.operator, import_highlight.tags.typeOperator], color: "#ab5959" },
      { tag: [import_highlight.tags.string, import_highlight.tags.meta], color: "#b56959" },
      { tag: [import_highlight.tags.regexp], color: "#ab5e3f" },
      { tag: [import_highlight.tags.name], color: "#22863a" },
      { tag: [import_highlight.tags.quote], color: "#2e808f" },
      { tag: [import_highlight.tags.heading, import_highlight.tags.strong], color: "#393a34", fontWeight: "bold" },
      { tag: [import_highlight.tags.emphasis], color: "#393a34", fontStyle: "italic" },
      // cSpell: disable-next-line
      { tag: [import_highlight.tags.deleted], color: "#b31d28", backgroundColor: "ffeef0" },
      { tag: [import_highlight.tags.atom, import_highlight.tags.bool, import_highlight.tags.special(import_highlight.tags.variableName)], color: "#1e754f" },
      { tag: [import_highlight.tags.url, import_highlight.tags.escape, import_highlight.tags.link], color: "#393a3490" },
      { tag: import_highlight.tags.link, textDecoration: "underline" },
      { tag: import_highlight.tags.strikethrough, textDecoration: "line-through" },
      { tag: import_highlight.tags.invalid, color: "#b31d28", fontStyle: "italic" },
      ...styles
    ]
  });
};
var vitesseLight = createVitesseLightTheme();
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  createVitesseLightTheme,
  defaultSettingsVitesseLight,
  vitesseLight
});
